FLAC 1.3.3

Public Attributes | List of all members
FLAC__Subframe_LPC Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes
FLAC__EntropyCodingMethod | entropy_coding_method
uint32_t | order
uint32_t | qlp_coeff_precision
int | quantization_level
FLAC__int32 | qlp_coeff [FLAC__MAX_LPC_ORDER]
FLAC__int32 | warmup [FLAC__MAX_LPC_ORDER]
const FLAC__int32 * | residual

## Detailed Description

LPC subframe. (c.f. format specification)

## Member Data Documentation

## ◆ entropy_coding_method

FLAC__EntropyCodingMethod FLAC__Subframe_LPC::entropy_coding_method

The residual coding method.

## ◆ order

uint32_t FLAC__Subframe_LPC::order

The FIR order.

## ◆ qlp_coeff_precision

uint32_t FLAC__Subframe_LPC::qlp_coeff_precision

Quantized FIR filter coefficient precision in bits.

## ◆ quantization_level

int FLAC__Subframe_LPC::quantization_level

The qlp coeff shift needed.

## ◆ qlp_coeff

FLAC__int32 FLAC__Subframe_LPC::qlp_coeff[FLAC__MAX_LPC_ORDER]

FIR filter coefficients.

## ◆ warmup

FLAC__int32 FLAC__Subframe_LPC::warmup[FLAC__MAX_LPC_ORDER]

Warmup samples to prime the predictor, length == order.

## ◆ residual

const FLAC__int32* FLAC__Subframe_LPC::residual

The residual signal, length == (blocksize minus order) samples.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |